Subject: Re: bug#48356: 28.0.50; choose-completion discards the suffix after the completion boundary

From: Dmitry Gutov <[email-masked]>
Date: Thu, 11 Apr 2024 13:36:00 +0300

On 11/04/2024 09:55, Eli Zaretskii wrote:
>> Cc: [email-masked], Daniel Mendler <[email-masked]>,
>>   JD Smith <[email-masked]>, Juri Linkov <[email-masked]>
>> Date: Thu, 11 Apr 2024 04:00:35 +0300
>> From: Dmitry Gutov <[email-masked]>
>>
>> All right, please see the new function completion-base-suffix added in
>> 0288bc6c949. Any docstring improvements (and others) are welcome.
> 
> I tried to do that.
> 
> Is there any reason why this function shouldn't be called
> completion-boundary-suffix instead?

For such a name, I would probably expect the return value to be

   (buffer-substring (point) (cdr (completion-boundaries ...)))

Opinions welcome.

>> I guess we should also mention it in NEWS...
> 
> Yes, please.